## Apache Zeta Components Manual :: Docs For Class ezcDocumentWikiPlugin

### Document::ezcDocumentWikiPlugin

### Class ezcDocumentWikiPlugin

Visitor for wiki directives

Source for this file: /Document/src/document/wiki/plugin.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentWikiCodePlugin | Visitor for wiki directives

### Member Variables

protected ezcDocumentWikiDocumentNode | `$ast` Complete wiki abstract syntax tree, if this is necessary to render the directive.
protected ezcDocumentWikiPluginNode | `$node` Current directive wiki AST node.
protected string | `$path` Current document base path, especially relevant for file inclusions.
protected ezcDocumentWikiVisitor | `$visitor` The calling visitor.

### Method Summary

public void | `__construct( $ast , $path , $node )` Construct directive from AST and node
public void | `setSourceVisitor( $visitor )` Set the calling vaisitor
public abstract void | `toDocbook( $document , $root )` Transform directive to docbook

### Methods

#### __construct

void __construct( ezcDocumentWikiDocumentNode $ast , string $path , ezcDocumentWikiPluginNode $node )

Construct directive from AST and node

##### Parameters:

Name | Type | Description
--- | --- | ---
`$ast` | ezcDocumentWikiDocumentNode |
`$path` | string |
`$node` | ezcDocumentWikiPluginNode |

#### setSourceVisitor

void setSourceVisitor( ezcDocumentWikiVisitor $visitor )

Set the calling vaisitor

Pass the visitor which called the rendering function on the directive for optional reference.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$visitor` | ezcDocumentWikiVisitor |

#### toDocbook

void toDocbook( $document , $root )

Transform directive to docbook

Create a docbook XML structure at the directives position in the document.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$document` | DOMDocument |
`$root` | DOMElement |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentWikiCodePlugin::toDocbook()` | Transform directive to docbook

Documentation generated by phpDocumentor 1.4.3